#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 24. X Window System Environment

- Prev

  XKeyboardConfig-2.32

- Next

  Xorg Drivers

- Up
- Home

# Xorg-Server-1.20.10

## Introduction to Xorg Server

The Xorg Server is the core of the X Window system.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://www.x.org/pub/individual/xserver/xorg-server-1.20.10.tar.bz2

- Download (FTP): ftp://ftp.x.org/pub/individual/xserver/xorg-server-1.20.10.tar.bz2

- Download MD5 sum: 8cf8bd1f33e3736bc8dd279b20a32399

- Download size: 6.0 MB

- Estimated disk space required: 350 MB (with tests)

- Estimated build time: 0.9 SBU (using parallelism=4; with tests)

### Xorg Server Dependencies

#### Required

Pixman-0.40.0 and Xorg Fonts (only font-util), and at runtime: xkeyboard-config-2.32

#### Recommended

libepoxy-1.5.5 (needed for glamor and Xwayland), Wayland-1.19.0 (needed for Xwayland), wayland-protocols-1.20 , and Systemd-247

#### Optional

acpid-2.0.32 (runtime), Doxygen-1.9.1 (to build API documentation), fop-2.6 (to build documentation), Nettle-3.7.1, libgcrypt-1.9.2, xcb-util-keysyms-0.4.0, xcb-util-image-0.4.0, xcb-util-renderutil-0.3.9, xcb-util-wm-0.4.1 (all three to build Xephyr), xmlto-0.0.28 (to build documentation), libunwind, and xorg-sgml-doctools (to build documentation)

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/Xorg7Server

## Installation of Xorg Server

Install the server by running the following commands:

    ./configure $XORG_CONFIG            \
                --enable-glamor         \
                --enable-suid-wrapper   \
                --with-xkb-output=/var/lib/xkb &&
    make

To test the results, issue: make check. You will need to run ldconfig as the `root` user first or some tests may fail.

Now as the `root` user:

    make install &&
    mkdir -pv /etc/X11/xorg.conf.d

## Command Explanations

`--enable-glamor`: Build the Glamor DIX (Device Independent X) module which is currently used by: R600 or later radeon video chipsets, the modesetting driver (which is part of this package) for hardware using KMS which offers acceleration, and (optionally) the intel driver.

`--enable-suid-wrapper`: Builds the suid-root wrapper for legacy driver support on rootless xserver systems.

`--disable-systemd-logind`: This switch disables systemd-logind integration allowing Xorg Server to work without having the systemd PAM module configured.

`--enable-install-setuid`: This switch restores the setuid bit to the Xorg executable allowing Xorg Server to work with a virtual terminal designated on the startx command line.

`--enable-dmx`: Builds the DMX (Distributed Multihead X) server.

`--enable-kdrive`: This option allows the configure script to enable Xephyr if its dependencies are met.

## Contents

Installed Programs: cvt, gtf, X, Xnest, Xorg, and Xvfb; optional: dmxaddinput, dmxaddscreen, dmxinfo, dmxreconfig, dmxresize, dmxrminput, dmxrmscreen, dmxtodmx, dmxwininfo, vdltodmx, Xdmx, xdmxconfig, Xephyr, and Xwayland
Installed Libraries: several under $XORG_PREFIX/lib/xorg/modules/{,drivers,extensions} including modesetting_drv.so
Installed Directories: $XORG_PREFIX/{include/xorg,lib/xorg,share/X11/xorg.conf.d} and /var/lib/xkb

### Short Descriptions

cvt | calculates VESA CVT mode lines
dmx* | are various tools used for manipulating the dmx server
gtf | calculates VESA GTF mode lines
vdltodmx | is a tool used to convert VDL config files to DMX config files
X | is a symbolic link to Xorg
Xdmx | is a proxy X server that uses one or more other X servers as its display devices
Xephyr | is a nested X server which supports modern X extensions
Xnest | is a nested X server
Xorg | is the X11R7 X Server
Xvfb | is the virtual framebuffer X server for X Version 11
xdmxconfig | is a graphical configuration utility for the dmx server
Xwayland | allows the X server to run X clients under wayland (i.e. wayland provides the input devices and handles the presentation of the windows)
`modesetting_drv.so` | provides a video driver for machines using Kernel Mode Setting (KMS). This will use glamor if that has been enabled and the hardware offers acceleration

Last updated on 2021-02-20 17:41:49 -0800

- Prev

  XKeyboardConfig-2.32

- Next

  Xorg Drivers

- Up
- Home